Bug 481004 - (pg_top) Review Request: pg_top - top for postgresql
Review Request: pg_top - top for postgresql
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 12:24 EST by Itamar Reis Peixoto
Modified: 2009-09-25 13:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.6.2-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 11:28:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-01-21 12:24:58 EST
Spec URL: http://ispbrasil.com.br/pg_top/pg_top.spec
SRPM URL: http://ispbrasil.com.br/pg_top/pg_top-3.6.2-2.fc11.src.rpm
Description: 

pg_top is 'top' for PostgreSQL processes. See running queries,
query plans, issued locks, and table and index statistics.

koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=1071512
Comment 1 Tom "spot" Callaway 2009-01-21 14:12:59 EST
Review
=======

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, matches source
- spec file legible, in am. english
- source matches upstream (338bc398ace91a05af769f6b555cce89ba997fbe)
- package compiles on devel (x86_64)
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- %clean ok
- macro use consistent
- code, not content
- no need for .desktop file

Bad:

* Package is not using %{optflags} during compilation.
* There is no packaged documentation aside from the manpage
* The license text is not packaged as %doc
* %defattr(-,root,root) is used instead of %defattr(-,root,root,-)
* Patch1 is completely pointless.
* Missing BuildRequires: elfutils-libelf-devel

Please fix these issues and show a new SRPM.
Comment 3 Tom "spot" Callaway 2009-01-21 15:52:21 EST
Looks good, approved.
Comment 4 Itamar Reis Peixoto 2009-01-21 16:00:26 EST
New Package CVS Request
=======================
Package Name: pg_top
Short Description: pg_top is 'top' for PostgreSQL processes
Owners: itamarjp
Branches: F-10 F-9
InitialCC:
Comment 5 Kevin Fenzi 2009-01-23 18:33:47 EST
cvs done.
Comment 6 Fedora Update System 2009-01-26 20:52:20 EST
pg_top-3.6.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pg_top'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1006
Comment 7 Tom "spot" Callaway 2009-03-04 17:29:49 EST
Please go ahead and push this into stable. No one is going to test a brand new package.
Comment 8 Fedora Update System 2009-03-05 11:28:27 EST
pg_top-3.6.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Itamar Reis Peixoto 2009-09-25 13:37:21 EDT
last time (redir), the cvs admin forget EL-4

asking  both, EL-4 and EL-5 for pg_top


Package Change Request
======================
Package Name: pg_top
New Branches: EL-4 EL-5
Owners: itamarjp
Comment 10 Itamar Reis Peixoto 2009-09-25 13:48:02 EDT
last time (redir), the cvs admin forget EL-4

asking  both, EL-4 and EL-5 for pg_top


Package Change Request
======================
Package Name: pg_top
New Branches: EL-4 EL-5
Owners: itamarjp atorkhov
Comment 11 Kevin Fenzi 2009-09-25 13:48:51 EDT
Sorry about that on redir, should be fixed now. I didn't 'forget' it, it was a typo. ;( 

cvs done.
Comment 12 Itamar Reis Peixoto 2009-09-25 13:50:09 EDT
thanks,

Note You need to log in before you can comment on or make changes to this bug.